/* ************************************************************************** */
/*                                                                            */
/*  ML_display_vram.c                                                         */
/*  | Project : libmonochrome                                                 */
/*                                                                            */
/*  By: Pierre "PierrotLL" Le Gall <legallpierre89@gmail.com>                 */
/*  Last updated: 2011/11/22                                                  */
/*                                                                            */
/* ************************************************************************** */

#include <monochrome/internals.h>

void ML_display_vram()
{
	volatile char *LCD_register_selector = (volatile char*)0xB4000000;
	volatile char *LCD_data_register = (volatile char*)0xB4010000;
	char *vram = ML_vram_address();

	for (int i = 0; i < 64; i++) {
		*LCD_register_selector = 4;
		*LCD_data_register = i | 192;
		*LCD_register_selector = 4;
		*LCD_data_register = 0;
		*LCD_register_selector = 7;
		for (int j = 0; j < 16; j++)
			*LCD_data_register = *vram++;
	}
}
